Skip to main content
GET
Get note

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

conversationId
string
required

Id of the conversation to get a note from.

noteId
string
required

Note Id.

Minimum string length: 1

Response

OK

id
string

Note Id

conversationId
string

Id of the conversation holding the note.

agentId
string

Id of the author agent.

content
string

Note content, which can be any text up to 4000 characters.

type
enum<string>
Available options:
INTERNAL,
AUTH_BIOMETRY_INIT,
AUTH_BIOMETRY_PENDING,
AUTH_BIOMETRY_SUCCESS,
AUTH_BIOMETRY_EXPIRED,
AUTH_BIOMETRY_CANCEL,
AUTH_BIOMETRY_FAILED,
AUTH_AGENT_SUCCESS,
AUTH_AGENT_EXPIRED,
AUTH_BOT_SUCCESS,
AUTH_BOT_EXPIRED,
JIRA_COMMENT,
ATTACHMENT,
INTERNAL,
ATTACHMENT
createdAt
string<date-time>

Time stamp when note is created.

updatedAt
string<date-time>

Time stamp when note is updated.